﻿using System.IO;
using System.Threading;
using System.Threading.Tasks;
using Luski.net.Structures;
using Luski.net.Structures.Public;
using Luski.Shared.PublicServers.V1.Enums;

namespace Luski.net.Interfaces;

/// <summary>
/// Represents the curent user
/// </summary>
public interface IUser
{
    /// <summary>
    /// The current Id of the user
    /// </summary>
    long Id { get; }
    /// <summary>
    /// The current status of the user
    /// </summary>
    UserStatus Status { get; }
    /// <summary>
    /// Gets the current user keys
    /// </summary>
    /// <returns></returns>
    Task<PublicKeyInfo[]> GetUserKeys(CancellationToken CancellationToken);

}
